<%--
Copyright (C) 2014 iPurchaseOrder. International copyright. All Rights Reserved.
This software is protected by United States and International copyright law and
international treaty provisions.
--%>

<%@ page language="VB" masterpagefile="~/admin/admin.master" autoeventwireup="false" inherits="admin_import_vendors, App_Web_o-0b06bp" title="iPurchaseOrder v1.0 Administration" %>
<asp:Content ID="Content1" ContentPlaceHolderID="cnt" Runat="Server">
    <div id="content_full">
    
        <h2 class="title no_space_under">Import Vendors from CSV</h2>
        
        <asp:PlaceHolder ID="errs" runat="server" />
        
        <asp:Panel ID="pnl_saved" Visible="false" runat="server">
            <div id="div_saved" class="alert_box">
                <p class="no_space_over no_space_under">
                <asp:Image ID="Image8" runat="server" ImageUrl="~/images/status-green.gif" AlternateText="Saved" /> Vendors have been imported.</p>
            </div>
        </asp:Panel>
        
        <asp:Panel ID="pnl_failed" Visible="false" runat="server">
            <div id="div1" class="alert_box_red">
                <p class="no_space_over no_space_under">
                <asp:Image ID="Image1" runat="server" ImageUrl="~/images/status-red.gif" AlternateText="Failed" /> Vendor import failed - See details below.</p>
            </div>
        </asp:Panel>
        
        <table width="100%" cellpadding="0" cellspacing="0" border="0">
            <tr>
                <td style="width: 20px;">&nbsp;</td>
                <td valign="top">
                    
                    <fieldset>
	                    <legend>Import</legend>
                        <table cellpadding="2" width="95%" border="0">
                        <tr>
                            <td colspan="2"><font color="red"><b>CSV Format </b> (Column Headers are required) - <br />
								VendorId - Your Unique ID for Vendors.  It will be stored in the import_id column.<br />
								First Name, Last Name, Company, Telephone, Email, Password (required), Status ( 1-Active, 0-Inactive ), Address1, Address2, City, State, Country, Postal Code, Account Number<br />
								User Name - Only used when Unique Email / Email as Vendor Login is False - Column must exist for all imports<br />
								Notes</font> 
                            </td>
                        </tr>
                        <tr><td colspan="2">&nbsp;</td></tr>
                        <tr><td colspan="2">Example file (vendors.csv) is under the 1Files folder.&nbsp;</td></tr>
                        <tr><td colspan="2">&nbsp;</td></tr>
                        <tr>
                            <td class="label">
                            <div style="text-align:right">
                            <asp:Label ID="lbl_name" runat="server" Text="Select CSV: " />
                            </div>
                            </td>
                            <td ><asp:FileUpload runat="server" Id="file_upload"></asp:FileUpload></td>
                        </tr>
                        <tr>
							<td class="label">
                            <div style="text-align:right">
							Update Existing Vendors?
							</div>
							</td>
							<td><asp:CheckBox ID="vendor_update" runat="server" /></td>
						</tr>
                        <tr><td colspan="2">&nbsp;</td></tr>
                        <tr>
                            <td>&nbsp;</td>
                            <td><asp:Button Width="120" runat="server" Text="Import Vendors" id="cmd_save" /></td>
                        </tr>
                        </table>
	                    <asp:Literal runat="server" Id="message"></asp:Literal>
              </fieldset>
                </td>
            </tr>
        </table>
         <asp:CustomValidator ID="c1_fileupload" runat="server" EnableClientScript="false" Display="static" ControlToValidate="file_upload" ErrorMessage="Please select CSV file." OnServerValidate="c1_fileupload_ServerValidate" />
    </div>
</asp:Content>