<%--
Copyright (C) 2014 iPurchaseOrder. International copyright. All Rights Reserved.
This software is protected by United States and International copyright law and
international treaty provisions.
--%>

<%@ page language="VB" masterpagefile="~/admin/admin.master" autoeventwireup="false" inherits="admin_import_purchases, App_Web_o-0b06bp" title="iPurchaseOrder v1.0 Administration" %>
<asp:Content ID="Content1" ContentPlaceHolderID="cnt" Runat="Server">
    <div id="content_full">
    
        <h2 class="title no_space_under">Import Purchases from CSV - not tested!</h2>
        
        <asp:PlaceHolder ID="errs" runat="server" />
        
        <asp:Panel ID="pnl_saved" Visible="false" runat="server">
            <div id="div_saved" class="alert_box">
                <p class="no_space_over no_space_under">
                <asp:Image ID="Image8" runat="server" ImageUrl="~/images/status-green.gif" AlternateText="Saved" /> purchases have been imported.</p>
            </div>
        </asp:Panel>
        
        <asp:Panel ID="pnl_failed" Visible="false" runat="server">
            <div id="div1" class="alert_box_red">
                <p class="no_space_over no_space_under">
                <asp:Image ID="Image1" runat="server" ImageUrl="~/images/status-red.gif" AlternateText="Failed" /> purchase import failed - See details below.</p>
            </div>
        </asp:Panel>
        
        <table width="100%" cellpadding="0" cellspacing="0" border="0">
            <tr>
                <td style="width: 20px;">&nbsp;</td>
                <td valign="top">
                    
                    <fieldset>
	                    <legend>Import</legend>
                        <table cellpadding="2" width="680" border="0">
                        <tr>
                            <td colspan="2">
								<font color="red">
									<b>CSV File Format</b> (Column Headers are required) - <br />
									purchaseId - Your Unique ID for purchases.  It will be stored in the import_id column.<br />
									purchaseDate - Stored with purchase.<br />
									Description - Line Item Description stored per item.<br />
									Quantity - Stored per item.<br />
									Amount - Stored per item.<br />
									Taxable - 0-Not Taxable, 1-Taxable.<br />
									Comments - Stored with the purchase.  Only the first comment is stored if multiple rows exist for the purchase.<br />
									Due - Stored with purchase.  Defaults to todays date if left blank.<br />
									vendorId - Your Unique vendor ID as created for the vendor import.<br />
									Status - 0-Deleted, 1-Pending, 2- Completed.  Status is per purchase, only the first status for an purchase will be stored.<br />
									Tax Rate (%) - Stored with the purchase.  The rate from the first purchase line will be stored.  Multiple tax rates are not supported within one purchase.<br />
									Tax 2 Rate (%) - Stored with the purchase.  The rate from the first purchase line will be stored.<br />
									RecurringID - Your Recurring purchase ID as created for the Recurring import.  This purchase will be linked to the Recurring purchase for this ID.  Leave blank if this purchase does not associate with a Recurring purchase.
								</font> 
                            </td>
                        </tr>
                        <tr><td colspan="2">&nbsp;</td></tr>
                        <tr><td colspan="2">Example file (purchasesdetails.csv) is under the 1Files folder.&nbsp;</td></tr>
                        <tr><td colspan="2">&nbsp;</td></tr>
                        <tr>
                            <td class="label">
                            <div style="text-align:right">
                            <asp:Label ID="lbl_name" runat="server" Text="Select CSV: " />
                            </div>
                            </td>
                            <td ><asp:FileUpload runat="server" Id="file_upload"></asp:FileUpload></td>
                        </tr>
                        <tr><td colspan="2">&nbsp;</td></tr>
                        <tr>
                            <td>&nbsp;</td>
                            <td><asp:Button Width="120" runat="server" Text="Import purchases" id="cmd_save" /></td>
                        </tr>
                        </table>
	                    <asp:Literal runat="server" Id="message"></asp:Literal>
              </fieldset>
                </td>
            </tr>
        </table>
         <asp:CustomValidator ID="c1_fileupload" runat="server" EnableClientScript="false" Display="static" ControlToValidate="file_upload" ErrorMessage="Please select CSV file." OnServerValidate="c1_fileupload_ServerValidate" />
    </div>
</asp:Content>