<%--
Copyright (C) 2014 iPurchaseOrder. International copyright. All Rights Reserved.
This software is protected by United States and International copyright law and
international treaty provisions.
--%>

<%@ page language="VB" masterpagefile="~/admin/admin.master" autoeventwireup="false" inherits="admin_divisions_edit, App_Web_opc17tlg" title="iPurchaseOrder v1.0 Administration" %>
<asp:Content ID="Content1" ContentPlaceHolderID="cnt" Runat="Server">

    <div id="leftcontent">
    
        <h2 class="title no_space_under"></h2>
        
        <asp:PlaceHolder ID="errs" runat="server" />        
        
        <asp:Panel ID="pnl_saved" Visible="false" runat="server">
            <div id="div_saved" class="alert_box">
                <p class="no_space_over no_space_under">
                <asp:Image ID="Image8" runat="server" ImageUrl="~/images/status-green.gif" AlternateText="Saved" /> Your changes have been saved.</p>
            </div>
        </asp:Panel>
        
        <div align="center">
		    <asp:label id="txtBoxError" runat="server" Font-Size="Small" Font-Bold="true" ForeColor="red" BorderStyle="None"></asp:label>
		</div>

            <fieldset>
                <legend>Division Information</legend>
                <table cellpadding="3" border="0">
                    <tr>
                        <td width="150" nowrap="nowrap"><div align="right">Active:&nbsp;&nbsp;</div></td>
                        <td class="label"><asp:DropDownList ID="dnv_status_id" CssClass="lblDrop" DataTextField="status" DataValueField="status" AutoPostBack="true" runat="server" /></td>
                    </tr>
					<tr>
						<td nowrap="nowrap"><div align="right">Company Name:&nbsp;&nbsp;</div></td>
						<td><asp:label Width="280" ID="YD_Company" CssClass="lblDrop" runat="server" /></td>
					</tr>
                    <tr>
                        <td nowrap="nowrap"><div align="right">Division Number:&nbsp;<span class="required">*</span></div></td>
                        <td><asp:TextBox Width="280" ID="YD_DivNumber" CssClass="lblDrop" Enabled="false" runat="server" /></td>
                    </tr>
                    <tr>
                        <td nowrap="nowrap"><div align="right">Division Name:&nbsp;<span class="required">*</span></div></td>
                        <td class="label"><asp:TextBox Width="280" ID="YD_DivName" CssClass="lblDrop" runat="server" /></td>
                    </tr>
                    <tr>
                        <td nowrap="nowrap"><div align="right">Address:&nbsp;<span class="required">*</span></div></td>
                        <td class="label"><asp:TextBox Width="280" ID="YD_Address" CssClass="lblDrop" runat="server" /></td>
                    </tr>
                    <tr>
                        <td nowrap="nowrap"><div align="right">Other Address Info:&nbsp;&nbsp;</div></td>
                        <td class="label"><asp:TextBox Width="280" ID="YD_Address2" CssClass="lblDrop" runat="server" /></td>
                    </tr>
                    <tr>
                        <td width="120" nowrap="nowrap"><div align="right">Country:&nbsp;<span class="required">*</span></div></td>
                        <td class="label"><asp:DropDownList ID="country" runat="server" CssClass="lblDrop" AutoPostBack="true" /></td>
                    </tr>
                    
<asp:Panel ID="pnl_ShowCountry" Visible="false" runat="server">
                    <tr>
                    <td>&nbsp;</td>
                    <td><asp:textbox MaxLength="50" ID="YD_CountryAbr" runat="server" CssClass="noback" Enabled="false" visible="true" /></td>
                    </tr>
</asp:Panel>
                    <tr>
                        <td nowrap="nowrap"><div align="right">City:&nbsp;<span class="required">*</span></div></td>
                        <td class="label"><asp:TextBox Width="280" ID="YD_City" CssClass="lblDrop" runat="server" /></td>
                    </tr>
                    <tr id="tr_state" runat="server">
                        <td width="120" nowrap="nowrap"><div align="right">State:&nbsp;<span class="required">*</span></div></td>
                        <td class="label"><asp:DropDownList ID="state" runat="server" CssClass="lblDrop" AutoPostBack="true" /></td>
                    </tr>
                    
<asp:Panel ID="pnl_ShowState" Visible="false" runat="server">
                    <tr>
                    <td>&nbsp;</td>
                    <td><asp:textbox ID="YD_State" runat="server" CssClass="noback" Enabled="false" visible="true" /></td>
                    </tr>
</asp:Panel>
                    <tr>
                        <td nowrap="nowrap"><div align="right">Zip Code:&nbsp;<span class="required">*</span></div></td>
                        <td class="label"><asp:TextBox Width="280" MaxLength="100" ID="YD_Zip" CssClass="lblDrop" runat="server" /></td>
                    </tr>
                    <tr>
                        <td nowrap="nowrap"><div align="right">Email:&nbsp;&nbsp;</div></td>
                        <td class="label"><asp:TextBox Width="280" MaxLength="50" ID="YD_Email" CssClass="lblDrop" runat="server" /></td>
                    </tr>
                    <tr>
                        <td nowrap="nowrap"><div align="right">Phone:&nbsp;<span class="required">*</span></div></td>
                        <td class="label"><asp:TextBox Width="280" MaxLength="50" ID="YD_Phone" CssClass="lblDrop" runat="server" /></td>
                    </tr>
                    <tr>
                        <td nowrap="nowrap"><div align="right">Fax:&nbsp;&nbsp;</div></td>
                        <td class="label"><asp:TextBox Width="280" MaxLength="50" ID="YD_Fax" CssClass="lblDrop" runat="server" /></td>
                    </tr>
                    <tr>
                        <td nowrap="nowrap"><div align="right">Contact First Name:&nbsp;&nbsp;</div></td>
                        <td class="label"><asp:TextBox Width="280" MaxLength="50" ID="YD_PrimaryContactFirstName" CssClass="lblDrop" runat="server" /></td>
                    </tr>
                    <tr>
                        <td nowrap="nowrap"><div align="right">Contact Last Name:&nbsp;&nbsp;</div></td>
                        <td class="label"><asp:TextBox Width="280" MaxLength="50" ID="YD_PrimaryContactLastName" CssClass="lblDrop" runat="server" /></td>
                    </tr>
                    <tr>
                        <td width="150" nowrap="nowrap"><div align="right">Deleted:&nbsp;&nbsp;</div></td>
                        <td class="label"><asp:DropDownList ID="dnv_deleted_id" DataTextField="status" DataValueField="status" AutoPostBack="true" runat="server" Enabled="false" CssClass="noback" /></td>
                    </tr>
                    <tr>
                        <td nowrap="nowrap"><div align="right">Date Added:&nbsp;&nbsp;</div></td>
                        <td><asp:label Width="280" MaxLength="50" ID="YD_DateAdded" CssClass="lblDrop" runat="server" /></td>
                    </tr>
                </table>

<asp:Panel ID="pnl_Variables" Visible="false" runat="server">
&nbsp;<asp:label id="StateID" runat="server" Visible="false"/>
&nbsp;<asp:label ID="StateName" runat="server" visible="false"/>
&nbsp;<asp:label id="CountryID" runat="server" Visible="false"/>
&nbsp;<asp:label ID="CountryName" runat="server" visible="false"/>
&nbsp;<asp:label ID="CountryNameAbr" runat="server" visible="false"/>
&nbsp;<asp:label MaxLength="50" ID="YD_Country" runat="server" visible="true" />

active=&nbsp;<asp:label ID="YD_Active" runat="server" visible="true"/>
deleted=&nbsp;<asp:label ID="YD_Deleted" runat="server" visible="true" />

&nbsp;<asp:label ID="YD_LCompanyID" runat="server" visible="false"/>
&nbsp;<asp:label ID="YD_LCompany" runat="server" visible="false"/>
</asp:Panel>

                <asp:RequiredFieldValidator ID="r1" runat="server" ErrorMessage="The division number is required." ControlToValidate="YD_DivNumber" EnableClientScript="false" />
                <asp:RequiredFieldValidator ID="r2" runat="server" ErrorMessage="The division name is required." ControlToValidate="YD_DivName" EnableClientScript="false" />
                <asp:RequiredFieldValidator ID="r3" runat="server" ErrorMessage="The address is required." ControlToValidate="YD_Address" EnableClientScript="false" />
                <asp:RequiredFieldValidator ID="r4" runat="server" ErrorMessage="The city is required." ControlToValidate="YD_City" EnableClientScript="false" />
                <asp:RequiredFieldValidator ID="r5" runat="server" ErrorMessage="The state is required." ControlToValidate="YD_State" EnableClientScript="false" />
                <asp:RequiredFieldValidator ID="r6" runat="server" ErrorMessage="The zip code is required." ControlToValidate="YD_Zip" EnableClientScript="false" />
                <asp:RequiredFieldValidator ID="r7" runat="server" ErrorMessage="The country is required." ControlToValidate="YD_CountryAbr" EnableClientScript="false" />
                <asp:RequiredFieldValidator ID="r8" runat="server" ErrorMessage="The phone is required." ControlToValidate="YD_Phone" EnableClientScript="false" />
                <asp:RegularExpressionValidator ID="r9" runat="server" ErrorMessage="Please enter a valid email address." ControlToValidate="YD_Email" EnableClientScript="false" ValidationExpression="\w+([-+.']\w+)*@\w+([-.]\w+)*\.\w+([-.]\w+)*" />

                <asp:RequiredFieldValidator ID="r_state" runat="server" EnableClientScript="false" Display="static" ControlToValidate="state" InitialValue="" ErrorMessage="The state is required." />
                <asp:RequiredFieldValidator ID="r_country" runat="server" EnableClientScript="false" Display="static" ControlToValidate="country" InitialValue="" ErrorMessage="The country is required." />

             </fieldset>
               <table cellpadding="2" border="0" >
                    <tr>
                        <td width="100%" >
                            &nbsp;<asp:Button runat="server" Text="Save Changes" id="cmd_save" OnClick="cmd_save_Click" />
							&nbsp;<asp:button runat="server" Text="Refresh" id="cmd_refresh" OnClick="cmd_refresh_Click"></asp:button>&nbsp;
                        </td>
                 </tr>
                </table>            
    </div>    
         
</asp:Content>
